/******************************************************************************/
/******************************************************************************/

;(function($,doc,win) 
{
	"use strict";
	
	var PBCallToAction=function(object,option)
	{
		/**********************************************************************/
		
		var $this=$(object);

		/**********************************************************************/

		this.build=function() 
		{
			$this.responsiveElement({children:null,className:'pb-call-to-action-responsive'});
			
			var link=$this.find('div.pb-call-to-action-box>div').children('a');
			
			if(link.length!=1) return;
			
			if(link.hasClass('pb-window-target-blank'))
				link.attr('target','_blank');

			var option=JSON.parse(link.next('input').val());
			
			link.hover(

				function() 
				{
					if(option.text_color_hover!==null) 
						$(this).css({'color':'#'+option.text_color_hover});

					if(option.bg_color_hover!==null) 
						$(this).css({'background-color':'#'+option.bg_color_hover});
					
					if(option.border_color_hover!==null) 
						$(this).css({'border-color':'#'+option.border_color_hover});
				},
				function()
				{
					if(option.bg_color!==null) 
						$(this).css({'background-color':'#'+option.bg_color});

					if(option.text_color!==null) 
						$(this).css({'color':'#'+option.text_color});
					
					if(option.border_color!==null) 
						$(this).css({'border-color':'#'+option.border_color});
				}

			);	
		};

		/**********************************************************************/
	}
	
	/**************************************************************************/
	
	$.fn.PBCallToAction=function(option) 
	{
		var object=new PBCallToAction(this,option);
		object.build();
	};
	
	/**************************************************************************/

})(jQuery,document,window);

/******************************************************************************/
/******************************************************************************/