/******************************************************************************/
/******************************************************************************/

;(function($,doc,win) 
{
	"use strict";
	
	var PBFeature=function(object,carouselOption,animationOption)
	{
		/**********************************************************************/
		
		var $this=$(object);
		var $carouselOption=carouselOption;
		var $animationOption=animationOption;

		/**********************************************************************/

		this.build=function() 
		{
			var helper=new PBHelper();
			
			if($carouselOption.carousel_enable==1)
				$this.children('ul').addClass('pb-layout-responsive-0');
			
			helper.createCarousel($this,$carouselOption);
			
			this.animate();
		};
		
		/**********************************************************************/
		
		this.animate=function()
		{
			var helper=new PBHelper();
			
			switch($animationOption.animation_type)
			{
				case 'fadeIn':
			
					$this.find('.pb-feature-icon').waypoint(function()
					{
						if(!helper.isAnimationComplete($(this)))
						{
							$(this).animate({opacity:1},{duration:parseInt($animationOption.animation_duration)});
							helper.setAnimationAsComplete($(this));
						}
					},
					{
						offset	:	'70%'
					})
					.waypoint(function()
					{
						if(!helper.isAnimationComplete($(this)))
							$(this).css({opacity:parseInt($animationOption.animation_icon_opacity_start/100)});
					},
					{
						offset	:	'200%'
					});
					
				break;
			}
		};
		
		/**********************************************************************/
	}
	
	/**************************************************************************/
	
	$.fn.PBFeature=function(carouselOption,animationOption) 
	{
		var object=new PBFeature(this,carouselOption,animationOption);
		object.build();
	};
	
	/**************************************************************************/

})(jQuery,document,window);

/******************************************************************************/
/******************************************************************************/