/******************************************************************************/
/******************************************************************************/

;(function($,doc,win) 
{
	"use strict";
	
	var PBGallery=function(object,option)
	{
		/**********************************************************************/
		
		var $this=$(object);
		var $option=option;

		/**********************************************************************/

		this.build=function() 
		{
			var self=this;
			
			var helper=new PBHelper();
			var loadClass=helper.addLoadClass();
			
			if($option.preloader_enable==1)
			{
				$this.preloaderImage(
				{
					onReady						:	function() 
					{
						self.createHover();
						helper.removeLoadClass(loadClass);
					}
				});
			}
			else
			{
				self.createHover();
				helper.removeLoadClass(loadClass);	
			}
			
			self.createFancybox();
		};
		
		/**********************************************************************/
		
		this.createFancybox=function()
		{
			$this.find('.pb-gallery-item-type-image>.pb-gallery-image-box>a').fancyBoxLaunch();
			$this.find('.pb-gallery-item-type-video>.pb-gallery-image-box>a').fancyBoxLaunch({type:'video'});
		};
		
		/**********************************************************************/
		
		this.createHover=function()
		{
			if($option.hover_enable!=1) return;
			$this.children('ul').children('li').hoverImage();
		};
		
		/**********************************************************************/
	}
	
	/**************************************************************************/
	
	$.fn.PBGallery=function(option) 
	{
		var object=new PBGallery(this,option);
		object.build();
	};
	
	/**************************************************************************/

})(jQuery,document,window);

/******************************************************************************/
/******************************************************************************/