<?php 
		echo $this->data['nonce']; 
?>
		<div class="pb pb-meta-box">
			
			<ul class="pb-field-list">
				
				<li>
					<h5 class="pb-group-header"><?php esc_html_e('Counter type'); ?></h5>
					<span class="pb-group-subheader"><?php esc_html_e('Select type of the counter.'); ?></span>
					<div class="pb-clear-fix">
						<div class="pb-radio-button">
							<input type="radio" name="<?php PBHelper::getFormName('counter_counter_type'); ?>" id="<?php PBHelper::getFormName('counter_counter_type_1'); ?>" value="1" <?php echo PBHelper::returnIf($this->data['option']['counter_counter_type'],1,'checked'); ?>/>
							<label for="<?php PBHelper::getFormName('counter_counter_type_1'); ?>"><?php esc_html_e('Percent counter'); ?></label>
							<input type="radio" name="<?php PBHelper::getFormName('counter_counter_type'); ?>" id="<?php PBHelper::getFormName('counter_counter_type_2'); ?>" value="2" <?php echo PBHelper::returnIf($this->data['option']['counter_counter_type'],2,'checked'); ?>/>
							<label for="<?php PBHelper::getFormName('counter_counter_type_2'); ?>"><?php esc_html_e('Custom counter'); ?></label>
						</div>	
					</div>
				</li>
				<li>
					<h5 class="pb-group-header"><?php esc_html_e('Target value of percent counter'); ?></h5>
					<span class="pb-group-subheader"><?php esc_html_e('Select value for percent counter.'); ?></span>
					<div class="pb-clear-fix">
						<div id="<?php PBHelper::getFormName('counter_counter_percent_value_slider'); ?>" class="pb-slider"></div>
						<input type="hidden" name="<?php PBHelper::getFormName('counter_counter_percent_value_slider_option'); ?>" value="<?php echo esc_attr(json_encode(array('min'=>0,'max'=>100))); ?>"/>
						<input type="text" name="<?php PBHelper::getFormName('counter_counter_percent_value'); ?>" id="<?php PBHelper::getFormName('counter_counter_percent_value'); ?>" class="pb-slider-value" value="<?php echo (int)$this->data['option']['counter_counter_percent_value']; ?>" readonly />
					</div>
				</li>
				<li>
					<h5 class="pb-group-header"><?php esc_html_e('Target value of custom counter'); ?></h5>
					<span class="pb-group-subheader"><?php esc_html_e('Enter value for custom counter.'); ?></span>
					<div class="pb-clear-fix">
						<input type="text" name="<?php PBHelper::getFormName('counter_counter_custom_value'); ?>" id="<?php PBHelper::getFormName('counter_counter_custom_value'); ?>" value="<?php echo esc_attr($this->data['option']['counter_counter_custom_value']); ?>" maxlength="6" />
					</div>
				</li>	
				<li>
					<h5 class="pb-group-header"><?php esc_html_e('Character in custom counter'); ?></h5>
					<span class="pb-group-subheader"><?php esc_html_e('Character before or after the value in the custom counter.'); ?></span>
					<div class="pb-clear-fix">
						<input type="text" name="<?php PBHelper::getFormName('counter_counter_custom_character'); ?>" id="<?php PBHelper::getFormName('counter_counter_custom_character'); ?>" value="<?php echo esc_attr($this->data['option']['counter_counter_custom_character']); ?>" maxlength="5" />
					</div>
				</li>
				<li>
					<h5 class="pb-group-header"><?php esc_html_e('Character position'); ?></h5>
					<span class="pb-group-subheader"><?php esc_html_e('Character position in the custom counter.'); ?></span>
					<div class="pb-clear-fix">
						<div class="pb-radio-button">
							<input type="radio" name="<?php PBHelper::getFormName('counter_counter_custom_character_position'); ?>" id="<?php PBHelper::getFormName('counter_counter_custom_character_position_1'); ?>" value="1" <?php echo PBHelper::returnIf($this->data['option']['counter_counter_custom_character_position'],1,'checked'); ?>/>
							<label for="<?php PBHelper::getFormName('counter_counter_custom_character_position_1'); ?>"><?php esc_html_e('Before value'); ?></label>
							<input type="radio" name="<?php PBHelper::getFormName('counter_counter_custom_character_position'); ?>" id="<?php PBHelper::getFormName('counter_counter_custom_character_position_2'); ?>" value="2" <?php echo PBHelper::returnIf($this->data['option']['counter_counter_custom_character_position'],2,'checked'); ?>/>
							<label for="<?php PBHelper::getFormName('counter_counter_custom_character_position_2'); ?>"><?php esc_html_e('After value'); ?></label>
						</div>	
					</div>
				</li>
				
			</ul>
			
		</div>

		<script type="text/javascript">

			jQuery(document).ready(function($) 
			{
				var object=$().pageBuilder({init:false});
				object.style();
			});

		</script>